## org.biojava.bio.seq.impl
Class FeatureImpl

    java.lang.Object
      org.biojava.bio.seq.impl.FeatureImpl

    public class FeatureImpl

extends Object

Wrap up default sets of Feature implementations.

Since:
  1.1
Author:
  Thomas Down, Greg Cox, Keith James
See Also:
  `SimpleRichFeature`

Field Summary
`static FeatureRealizer` `DEFAULT` Default implementation of FeatureRealizer, which wraps simple implementations of Feature and StrandedFeature.

Constructor Summary
`FeatureImpl()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final FeatureRealizer DEFAULT

  Default implementation of FeatureRealizer, which wraps simple implementations of Feature and StrandedFeature. This is the default FeatureRealizer used by SimpleSequence and ViewSequence, and may also be used by others. When building new FeatureRealizers, you may wish to use this as a `fallback' realizer, and benefit from the Feature and StrandedFeature implementations.

Constructor Detail

### FeatureImpl

    public FeatureImpl()